package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.ruiYiController.annotation.Excel;
import com.ruoyi.ruiYiController.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 库位信息，记录周装货架存放库位信息对象 store_info
 * 
 * @author ruoyi
 * @date 2023-07-05
 */
public class StoreInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 库位编码 */
    @Excel(name = "库位编码")
    private String storeCode;

    /** 库位类型：
5-干湿库位
10-缓存库位
15-检验库位
20-抽检库位
25-成品缓存库位
30-成品出库库位
35-空车回库库位
 */
    @Excel(name = "库位类型：5-干湿库位10-缓存库位15-检验库位20-抽检库位25-成品缓存库位30-成品出库库位35-空车回库库位")
    private Long storeType;

    /** 库位状态
5-空闲：机器人任务回调后
10-待占用：机器人任务发起后
15-占用：机器人任务回调后
20-待空闲：机器人任务发起后 */
    @Excel(name = "库位状态5-空闲：机器人任务回调后10-待占用：机器人任务发起后15-占用：机器人任务回调后20-待空闲：机器人任务发起后")
    private Long storeStatus;

    /** 库位属于的工位编码 */
    @Excel(name = "库位属于的工位编码")
    private String stationCode;

    /** 货架编码 */
    @Excel(name = "货架编码")
    private String shelfCode;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdDt;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedDt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStoreCode(String storeCode) 
    {
        this.storeCode = storeCode;
    }

    public String getStoreCode() 
    {
        return storeCode;
    }
    public void setStoreType(Long storeType) 
    {
        this.storeType = storeType;
    }

    public Long getStoreType() 
    {
        return storeType;
    }
    public void setStoreStatus(Long storeStatus) 
    {
        this.storeStatus = storeStatus;
    }

    public Long getStoreStatus() 
    {
        return storeStatus;
    }
    public void setStationCode(String stationCode) 
    {
        this.stationCode = stationCode;
    }

    public String getStationCode() 
    {
        return stationCode;
    }
    public void setShelfCode(String shelfCode) 
    {
        this.shelfCode = shelfCode;
    }

    public String getShelfCode() 
    {
        return shelfCode;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setCreatedDt(Date createdDt) 
    {
        this.createdDt = createdDt;
    }

    public Date getCreatedDt() 
    {
        return createdDt;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setUpdatedDt(Date updatedDt) 
    {
        this.updatedDt = updatedDt;
    }

    public Date getUpdatedDt() 
    {
        return updatedDt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("storeCode", getStoreCode())
            .append("storeType", getStoreType())
            .append("storeStatus", getStoreStatus())
            .append("stationCode", getStationCode())
            .append("shelfCode", getShelfCode())
            .append("createdBy", getCreatedBy())
            .append("createdDt", getCreatedDt())
            .append("updatedBy", getUpdatedBy())
            .append("updatedDt", getUpdatedDt())
            .toString();
    }
}
